Subject: Re: problem with large file

From: Jan Wielemaker <[email-masked]>
Date: Wed, 23 Jun 1999 18:19:02 +0200

On Wed, 23 Jun 1999, you wrote:

>I am trying to load a large file (5 Mo.) with very long list that I
>would like to load into SWI-Prolog.
>
>It works fine with SWI-prolog 2.8.6 under Solaris, but I have problems
>with SWI-prolog 3.2.5 under linux.
>
>Here is a copy of the session under linux:
>
>-----
>Welcome to SWI-Prolog (Version 3.2.5)
>Copyright (c) 1993-1998 University of Amsterdam.  All rights reserved.
>
>For help, use ?- help(Topic). or ?- apropos(Word).
>
>?- ['all-ref'].
>[WARNING: Out of local stack]

One possibility is that the detection of virtual-memory based stacks
didn't work at configure time.  This is the case if you are running
a 2.0 kernel for linux.  You can check this using

?- feature(dynamic_stacks, X).

X = true

(if this is the case).  If it says No or false, upgrade to the current
version of Prolog (3.2.8) and you are most likely ok again.

	Regards --- Jan